package bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.Adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.TextView;

import java.util.ArrayList;

import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.R;
import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.UserpanelActivity;
import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.dataModels.Discussion;

public class DiscussionAdapter extends ArrayAdapter<Discussion> {

    private static class ViewHolder {
        TextView topic;
        TextView owner;
    }

    public DiscussionAdapter(Context context, ArrayList<Discussion> dsc) {
        super(context, R.layout.list_discussions, dsc);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        Discussion dc = getItem(position);
        DiscussionAdapter.ViewHolder viewHolder;
        if (convertView == null) {
            viewHolder = new DiscussionAdapter.ViewHolder();
            LayoutInflater inflater = LayoutInflater.from(getContext());
            convertView = inflater.inflate(R.layout.list_discussions, parent, false);
            viewHolder.topic = (TextView) convertView.findViewById(R.id.textViewTopic);
            viewHolder.owner = (TextView) convertView.findViewById(R.id.textViewOwnerOfTopic);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (DiscussionAdapter.ViewHolder) convertView.getTag();
        }
            viewHolder.topic.setText("Topic: "+dc.getTopic());
            viewHolder.owner.setText("Author: "+dc.getOwner());

        return convertView;
    }
}
