package bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.Adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;

import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.R;
import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.UserpanelActivity;
import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.dataModels.NewFriend;

public class FriendAdapter extends ArrayAdapter<NewFriend> {

    private static class ViewHolder {
        TextView friend;
        TextView email;
    }

    public FriendAdapter(Context context, ArrayList<NewFriend> frs) {
        super(context, R.layout.list_friend_requests, frs);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        NewFriend fr = getItem(position);
        FriendAdapter.ViewHolder viewHolder;
        if (convertView == null) {
            viewHolder = new FriendAdapter.ViewHolder();
            LayoutInflater inflater = LayoutInflater.from(getContext());
            convertView = inflater.inflate(R.layout.list_friend_requests, parent, false);
            viewHolder.friend = (TextView) convertView.findViewById(R.id.textViewFr);
            viewHolder.email = (TextView) convertView.findViewById(R.id.textViewFrMail);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (FriendAdapter.ViewHolder) convertView.getTag();
        }
        if (fr.getFriend1().equals(UserpanelActivity.username)){
            viewHolder.friend.setText(fr.getFriend2());
            viewHolder.email.setText(fr.getFriend2Email());
        } else {
            viewHolder.friend.setText(fr.getFriend1());
            viewHolder.email.setText(fr.getFriend1Email());
        }

        return convertView;
    }
}
