package bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.dataModels;

import com.google.api.client.json.GenericJson;
import com.google.api.client.util.Key;
import com.kinvey.java.model.KinveyMetaData;

public class Discussion extends GenericJson {
    @Key("_id")
    private String id;
    @Key("_acl")
    private KinveyMetaData.AccessControlList acl;
    @Key
    String topic;
    @Key
    String owner;

    public Discussion(){
    }

    public Discussion(String topic, String owner){
        this.topic = topic;
        this.owner = owner;
    }

    public String getTopic(){
        return topic;
    }

    public String getOwner(){
        return owner;
    }

    public String getId(){
        return id;
    }

}
