package bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.dataModels;

import com.google.api.client.json.GenericJson;
import com.google.api.client.util.Key;
import com.kinvey.java.model.KinveyMetaData;

public class DiscussionMessage extends GenericJson {

    @Key("_id")
    private String id;
    @Key("_acl")
    private KinveyMetaData.AccessControlList acl;
    @Key
    public String message;
    @Key
    public String myNick;
    @Key
    public String date;
    @Key
    public String discId;

    public DiscussionMessage(){
    }

    public DiscussionMessage(String message, String nick, String date, String discId){
        this.message = message;
        this.myNick = nick;
        this.date = date;
        this.discId = discId;
    }

    public String getId(){
        return id;
    }

    public String getMessage(){
        return message;
    }


    public String getMyNick() {
        return myNick;
    }

    public String getDate() {
        return date;
    }

    public String getDiscId(){
        return discId;
    }
}

