package bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.dataModels;


import com.google.api.client.json.GenericJson;
import com.google.api.client.util.Key;
import com.kinvey.java.model.KinveyMetaData;

public class NewFriend extends GenericJson {

    @Key("_id")
    private String id;
    @Key("_acl")
    private KinveyMetaData.AccessControlList acl;
    @Key
    private String friend1;
    @Key
    private String friend2;
    @Key
    private String friend1Email;
    @Key
    private String friend2Email;

    public NewFriend(){
    }

    public NewFriend(String friend1, String friend2, String email1, String email2){
        this.friend1 = friend1;
        this.friend2 = friend2;
        this.friend1Email = email1;
        this.friend2Email = email2;
    }

    public String getId(){
        return id;
    }

    public String getFriend1() {
        return friend1;
    }

    public String getFriend2() {
        return friend2;
    }

    public String getFriend1Email() {
        return friend1Email;
    }

    public String getFriend2Email() {
        return friend2Email;
    }
}