package bakalarka.mendelu.cz.bakamsg.dataModels;

import com.google.firebase.database.IgnoreExtraProperties;

@IgnoreExtraProperties
public class Message {

    private String text;
    private String friendNick;
    private String myNick;
    private long date;
    private String user1ID;
    private String user2ID;
    private String msgKey;

    public Message(){
    }

    public Message(String text, String nick, String ID1, String nick2, String ID2, long date){
        this.text = text;
        this.friendNick = nick;
        this.user1ID = ID1;
        this.user2ID = ID2;
        this.myNick = nick2;
        this.date = date;
        this.msgKey = "";
    }

    public String getText(){
        return text;
    }

    public String getFriendNick() {
        return friendNick;
    }

    public String getMyNick() {
        return myNick;
    }

    public Long getDate() {
        return date;
    }

    public String getUser1ID(){
        return user1ID;
    }

    public String getUser2ID(){
        return user2ID;
    }

    public String getMsgKey(){
        return msgKey;
    }
}
