package bakalarka.mendelu.cz.bakamsg.dataModels;

import com.google.firebase.database.IgnoreExtraProperties;

@IgnoreExtraProperties
public class NewFriendRequest {
    private String uniqueID;
    private String nick;
    private String sourceEmail;
    private String targetMail;

    public NewFriendRequest(){

    }
    public NewFriendRequest(String id, String nick, String email, String targetMail){
        this.uniqueID = id;
        this.nick = nick;
        this.sourceEmail = email;
        this.targetMail = targetMail;
    }

    public String getUniqueID(){
        return uniqueID;
    }

    public String getNick(){
        return nick;
    }

    public String getSourceEmail(){
        return sourceEmail;
    }

    public String getTargetMail(){
        return targetMail;
    }

}
