package bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.Adapters;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;

import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.R;
import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.dataModels.NewFriendRequest;

public class FriendRequestAdapter extends ArrayAdapter<NewFriendRequest> {

    private static class ViewHolder {
        TextView sourceUsername;
        TextView email;
    }

    public FriendRequestAdapter(Context context, ArrayList<NewFriendRequest> frs) {
        super(context, R.layout.list_friend_requests, frs);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        NewFriendRequest fr = getItem(position);
        ViewHolder viewHolder;
        if (convertView == null) {
            viewHolder = new ViewHolder();
            LayoutInflater inflater = LayoutInflater.from(getContext());
            convertView = inflater.inflate(R.layout.list_friend_requests, parent, false);
            viewHolder.sourceUsername = (TextView) convertView.findViewById(R.id.textViewFr);
            viewHolder.email = (TextView) convertView.findViewById(R.id.textViewFrMail);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }

        viewHolder.sourceUsername.setText(fr.getSourceUsername());
        viewHolder.email.setText(fr.getSourceEmail());

        return convertView;
    }
}