package bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.Adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;

import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.R;
import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.UserpanelActivity;
import bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.dataModels.Message;

public class MessageAdapter extends ArrayAdapter<Message> {

    private static class ViewHolder {
        TextView nick;
        TextView message;
        TextView date;
    }

    public MessageAdapter(Context context, ArrayList<Message> msgs) {
        super(context, R.layout.list_chat_messages, msgs);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        Message msg = getItem(position);
        MessageAdapter.ViewHolder viewHolder;
        if (convertView == null) {
            viewHolder = new MessageAdapter.ViewHolder();
            LayoutInflater inflater = LayoutInflater.from(getContext());
            convertView = inflater.inflate(R.layout.list_chat_messages, parent, false);
            viewHolder.nick = (TextView) convertView.findViewById(R.id.textViewListNick);
            viewHolder.date = (TextView) convertView.findViewById(R.id.textViewListDate);
            viewHolder.message = (TextView) convertView.findViewById(R.id.textViewListMessage);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (MessageAdapter.ViewHolder) convertView.getTag();
        }
            viewHolder.nick.setText("From: " + msg.getMyNick());
            viewHolder.message.setText(msg.getMessage());
            viewHolder.date.setText(msg.getDate());
        return convertView;
    }
}
