package bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.dataModels;

import com.google.api.client.json.GenericJson;
import com.google.api.client.util.Key;
import com.kinvey.java.model.KinveyMetaData;

public class Message extends GenericJson {

    @Key("_id")
    private String id;
    @Key("_acl")
    private KinveyMetaData.AccessControlList acl;
    @Key
    public String message;
    @Key
    public String friendNick;
    @Key
    public String myNick;
    @Key
    public String date;

    public Message(){
    }

    public Message(String message, String nick, String nick2, String date){
        this.message = message;
        this.friendNick = nick;
        this.myNick = nick2;
        this.date = date;
    }

    public String getId(){
        return id;
    }

    public String getMessage(){
        return message;
    }

    public String getFriendNick() {
        return friendNick;
    }

    public String getMyNick() {
        return myNick;
    }

    public String getDate() {
        return date;
    }

    public void setMessage(String msg){
        message = msg;
    }
}
