package bakamsgkinvey.cz.mendelu.bakalarka.bakamsgkinvey.dataModels;


import com.google.api.client.json.GenericJson;
import com.google.api.client.util.Key;
import com.kinvey.java.model.KinveyMetaData;

public class NewFriendRequest extends GenericJson{
    @Key("_id")
    private String id;
    @Key("_acl")
    private KinveyMetaData.AccessControlList acl;
    @Key
    private String sourceUsername;
    @Key
    private String targetUsername;
    @Key
    private String sourceEmail;

    public NewFriendRequest(){

    }
    public NewFriendRequest(String usr1, String usr2, String mail){
        this.sourceUsername = usr1;
        this.targetUsername = usr2;
        this.sourceEmail = mail;
    }

    public String getSourceUsername(){
        return sourceUsername;
    }

    public String getTargetUsername(){
        return targetUsername;
    }

    public String getSourceEmail(){
        return sourceEmail;
    }

    public String getId(){
        return id;
    }

}
